# Agenda de Contatos
from collections import namedtuple

# Define o tipo "registro", que é uma entrada da minha agenda
Registro = namedtuple("Registro", "nome telefone dataNasc")

# Cria uma agenda vazia
agenda = []

# Preenche agenda com dados informados pelo usuário
while True:
    nome = input("Digite o nome do contato (vazio termina): ")
    if nome == "":
        break
    tel = input("Digite o telefone do contato: ")
    data = input("Digite a data de nascimento: ")
    agenda.append( Registro(nome, tel, data) )

# Imprime todos os registros da agenda
for reg in agenda:
    print("Nome:     ", reg.nome)
    print("Telefone: ", reg.telefone)
    print("Data Nasc:", reg.dataNasc)
    print("----")
