# Aventura em Python

# Define a sala inicial
SALA = 1

# Descrição das saídas possíveis
DSAIDA = ["NORTE", "SUL", "LESTE", "OESTE", "ENTRAR", "SAIR"]

# Descrever os ambientes
if SALA == 0:
        NOME = "Penhasco"
        DESC = "Você está à beira de um penhasco."
        SAIDAS = [1, -1, -1, -1, -1, -1]
elif SALA == 1:
        NOME = "Caminho"
        DESC = "Você está em um caminho cercado de árvores."
        SAIDAS = [2, 0, -1, -1, -1, -1]
elif SALA == 2:
        NOME = "Frente da casa"
        DESC = "Você está em frente a uma casa antiga."
        SAIDAS = [-1, 1, -1, 3, 4, -1]
elif SALA == 3:
        NOME = "Lateral da casa"
        DESC = "Você esta ao lado da casa, onde há uma grande janela."
        SAIDAS = [-1, -1, 2, -1, -1, -1]
elif SALA == 4:
        NOME = "Sala de estar"
        DESC = "Você chegou dentro da casa. Há uma lareira aqui."
        SAIDAS = [-1, -1, -1, -1, -1, 2]

# Mostrar informações sobre a sala atual
print("***", NOME, "***")
print(DESC)

# Mostrar as saídas possíveis para o usuário
print("As saidas são: ", end="")
CONT = 0
while CONT < len(DSAIDA):
    if SAIDAS[CONT] != -1:
        print(DSAIDA[CONT], end=", ")
    CONT = CONT + 1
print()

# Pergunta pra onde o usuário quer ir
COMANDO = input("Para onde você gostaria de ir? ")
COMANDO = COMANDO.upper()

# Movimenta personagem com base no comando
if COMANDO in DSAIDA:
        NSAIDA = DSAIDA.index(COMANDO)
        # Verificar se a saída é exitente
        if SAIDAS[NSAIDA] == -1:
            print("Não e possivel ir por essa direção.")
        else:
            # Saida existe!
            print("Indo para", DSAIDA[NSAIDA])
            SALA = SAIDAS[NSAIDA]
else:
    print("Direção desconhecida!")
    print("As direções conhecidas são:", DSAIDA)


print("Nova sala:", SALA)
        
